org.postgis.jts

## Class JTSShape

- java.lang.Object
- - org.postgis.jts.JTSShape

All Implemented Interfaces:
  Shape

    public class JTSShape
    extends Object
    implements Shape

### Nested Class Summary

Nested Classes
`static class` `JTSShape.GeometryCollectionPathIterator`
`static class` `JTSShape.GeometryPathIterator`
`static class` `JTSShape.LineStringPathIterator`
`static class` `JTSShape.PointPathIterator`
`static class` `JTSShape.PolygonPathIterator`

### Constructor Summary

Constructors
Constructor and Description
`JTSShape(com.vividsolutions.jts.geom.Geometry _geom)`
`JTSShape(JtsGeometry _geom)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `contains(double x, double y)`
`boolean` `contains(double x, double y, double w, double h)`
`boolean` `contains(Point2D p)`
`boolean` `contains(Rectangle2D r)`
`protected com.vividsolutions.jts.geom.Polygon` `createRect(double x, double y, double w, double h)`
`Rectangle` `getBounds()`
`Rectangle2D` `getBounds2D()`
`PathIterator` `getPathIterator(AffineTransform at)`
`PathIterator` `getPathIterator(AffineTransform at, double flatness)`
`static JTSShape.GeometryPathIterator` `getPathIterator(com.vividsolutions.jts.geom.Geometry geometry, AffineTransform _at)`
`boolean` `intersects(double x, double y, double w, double h)`
`boolean` `intersects(Rectangle2D r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JTSShape

    public JTSShape(com.vividsolutions.jts.geom.Geometry _geom)

#### JTSShape

    public JTSShape(JtsGeometry _geom)

### Method Detail

#### contains

    public boolean contains(Point2D p)

Specified by:
  `contains` in interface `Shape`

#### contains

    public boolean contains(double x,
                            double y)

Specified by:
  `contains` in interface `Shape`

#### contains

    public boolean contains(Rectangle2D r)

Specified by:
  `contains` in interface `Shape`

#### contains

    public boolean contains(double x,
                            double y,
                            double w,
                            double h)

Specified by:
  `contains` in interface `Shape`

#### createRect

    protected com.vividsolutions.jts.geom.Polygon createRect(double x,
                                                             double y,
                                                             double w,
                                                             double h)

#### getBounds2D

    public Rectangle2D getBounds2D()

Specified by:
  `getBounds2D` in interface `Shape`

#### getBounds

    public Rectangle getBounds()

Specified by:
  `getBounds` in interface `Shape`

#### getPathIterator

    public PathIterator getPathIterator(AffineTransform at)

Specified by:
  `getPathIterator` in interface `Shape`

#### getPathIterator

    public PathIterator getPathIterator(AffineTransform at,
                                        double flatness)

Specified by:
  `getPathIterator` in interface `Shape`

#### intersects

    public boolean intersects(Rectangle2D r)

Specified by:
  `intersects` in interface `Shape`

#### intersects

    public boolean intersects(double x,
                              double y,
                              double w,
                              double h)

Specified by:
  `intersects` in interface `Shape`

#### getPathIterator

    public static JTSShape.GeometryPathIterator getPathIterator(com.vividsolutions.jts.geom.Geometry geometry,
                                                                AffineTransform _at)